package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"
	ocsp "git.loafle.net/overflow/commons-go/service/probe"

	// For annotation
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var CollectorServiceType = reflect.TypeOf((*CollectorService)(nil))

func init() {
	cdr.RegisterType(CollectorServiceType)
}

type CollectorService struct {
	ocsp.CollectorService
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`

	DataClientService *DataClientService `annotation:"@Inject()"`
}

func (s *CollectorService) InitService() error {
	return nil
}

func (s *CollectorService) StartService() error {

	return nil
}

func (s *CollectorService) StopService() {

}

func (s *CollectorService) DestroyService() {

}
